<!DOCTYPE html>
<html>
{% load static %}
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>みまもる</title>
    <link href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" rel="stylesheet">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'style.css' %}">
</head>

<body>
    <div class="container">
        <header>
            <h1>
                <td align="center">みまもる</td>
                <i class="fa fa-coffee"></i>
            </h1>
            <div id="ham-menu">
                <ul>
                    <li>勤怠状況</li>
                    <li><a href="https://coordinated-history-8015.glideapp.io" target="_blank">図書管理アプリ</a></li>
                    <li>メニュー3</li>
                </ul>
            </div>
            <div id="menu-background"></div>
        </header>
    </div>

    <hr>

    <div class="container-fluid">
            <h4>
                <p>Work Status</p>
            </h4>
    </div>
    
    <!-- 自分以外を更新しようとするとエラーメッセージ表示 -->
    {% if error %}
    <hr>
    {{ error }}
    {% endif %}

    <hr>
    <main　class="container">
    {% for member in member.all %}
        <h4>
            <div class="row">
                <p>
                  <div class="my-box col-1">
                    <form action="{% url 'status:update' member.pk %}" method="POST">
                      {% csrf_token %}
                      {% if member.status_work %}
                        <button type="submit" name="work" class="btn"><i class="fas fa-user-circle fa-2x"></i></button>
                      {% else %}
                        <button type="submit" name="work" class="btn"><i class="fas fa-user-circle fa-2x icon-gray"></i></button>
                      {% endif %}
                    </form>
                  </div>
                  <div class="my-box col-2">
                    <h5 class="name">{{ member.name }}</h5>
                  </div>
                  <div class="my-box col-3 align-left">
                    <form action="{% url 'status:update' member.pk %}" method="POST">
                      {% csrf_token %}
                      {% if member.status_home %}
                        <button type="submit" name="home" class="btn"><i class="fas fa-home"></i></button>
                      {% else %}
                        <button type="submit" name="home" class="btn"><i class="fas fa-home icon-gray"></i></button>
                      {% endif %}
                    </form>
                    <form action="{% url 'status:update' member.pk %}" method="POST">
                      {% csrf_token %}
                      {% if member.status_meeting %}
                        <button type="submit" name="meeting" class="btn"><i class="fas fa-users"></i></button>
                      {% else %}
                        <button type="submit" name="meeting" class="btn"><i class="fas fa-users icon-gray"></i></button>
                      {% endif %}
                    </form>
                    <form action="{% url 'status:update' member.pk %}" method="POST">
                      {% csrf_token %}
                      {% if member.status_lunch %}
                        <button type="submit" name="lunch" class="btn"><i class="fas fa-utensils"></i></button>
                      {% else %}
                        <button type="submit" name="lunch" class="btn"><i class="fas fa-utensils icon-gray"></i></button>
                      {% endif %}
                    </form>
                  </div>
                　 <div class="my-box col-4 align-left">
                    <h6>
                        <p align="left">最終更新時刻 :<class="last_update_time">{{ member.last_update_time }}</p>
                    </h6>
                  </div>
                  
                </p>
            </div>
        </h4>
    {% endfor %}
    </main>

    <hr>

    <div class="container">
        <footer>
            <p>&copy; MUIT</p>
        </footer>
    </div>
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
</body>
</html>
